> For the complete documentation index, see [llms.txt](https://docs.digitalturbine.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalturbine.com/dt-exchange/sdk-configuration/integrating-the-ios-sdk/dt-logging-on-ios.md).

# DT Exchange Logging on iOS

The DT Exchange iOS SDK includes a built-in logging utility, `DTXLogger`, that monitors SDK behavior and streamlines integration debugging. You can control how much detail appears in the console output by setting the desired log level.

Set the log level before or immediately after calling `initWithAppID()` to ensure that initialization events are logged.

The following table describes the log level attributes.

| Property Name | Description                                               |
| ------------- | --------------------------------------------------------- |
| `.debug`      | <p>Enables full logging.<br>Use this for development.</p> |
| `.off`        | <p>Disables all logging.<br>Use this for production.</p>  |

## Setting the Log Level

To configure the library's logging level, call `DTXLogger.setLogLevel` and pass the desired log level.

The following example initializes the SDK and then sets the log level to `.debug`:

{% code title="Swift" %}

```swift
IASDKCore.sharedInstance()?.initWithAppID(
    appId,
    completionBlock: { success, error in
        if let error {
            print("DTExchange init failed: \(error.localizedDescription)")
        } else {
            print("DTExchange init success")
        }
    },
    completionQueue: .main
)

// Set the desired log level
// Use .debug for full logs during development or .off for production
DTXLogger.setLogLevel(.debug)
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digitalturbine.com/dt-exchange/sdk-configuration/integrating-the-ios-sdk/dt-logging-on-ios.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
